[Rpcemu] Is HD4 now useable under 0.8.10/5.20?

Tony Moore old_coaster at yahoo.co.uk
Mon Aug 19 14:51:09 PDT 2013


On 19 Aug 2013, Chris Gransden <chrisg at care4free.net> wrote:
> In article <b13fca7d53.old_coaster at old_coaster.yahoo.co.uk>,
>    Tony Moore <old_coaster at yahoo.co.uk> wrote:
> > On 19 Aug 2013, George <george.greenfield at tiscali.co.uk> wrote:
> > > In message <1418ab7d53.old_coaster at old_coaster.yahoo.co.uk>
> > >           Tony Moore <old_coaster at yahoo.co.uk> wrote:
> > > > On 19 Aug 2013, George <george.greenfield at tiscali.co.uk> wrote:
> > > >
> > > > > As a matter of interest, is it now possible to install
> > > > > HardDisk4 under 0.8.10/5.20
> > > >
> > > > RPCEmu 0.8.10 ships with an hd4.hdf file of zero bytes, and RO
> > > > 5.20 Configure > Discs > 'Conventional SCSI' is greyed-out. If
> > > > the hd4.hdf file is replaced with a file of non-zero length, the
> > > > RO 5.20 config option is still greyed out, so the answer seems
> > > > to be no.
> > > >
> > > [snip]
> > >
> > > Interesting - thanks. I wonder how IOMD 5.20 works on an actual
> > > RiscPC?
>
> > It presumably works, otherwise ROOL would not sell ROMs for the
> > RiscPC. The problem, above, arises because _RPCEmu_ won't play with
> > RO5.20.
>
> The SCSI config is not used in RPCEmu.  Hard discs are IDE and if it
> was working should just appear automatically.

Thanks for the clarification.

> There is a patch that gets Hard Discs working. I'm using it here with
> RISC OS 5.21 and RPCEmu 0.8.10 on linux. It's not been applied as it
> causes problems with hard discs on RISC OS 4/6.

So what happened to the memory leak? Was that affecting RO 4/6, or RO 5?

> The patch is on this page on the ROOL forums
> https://www.riscosopen.org/forum/forums/5/topics/410?page=4.

But no ready-built binary.

Tony






More information about the Rpcemu mailing list